> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mitu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Provider

Updates a provider's information. You can update the name and enabled status.

## Path Parameters

<ParamField path="id" type="string" required>
  Provider ID
</ParamField>

## Request Body

All fields are optional.

<ParamField body="name" type="string">
  New provider name
</ParamField>

<ParamField body="enabled" type="boolean">
  Enable/disable provider
</ParamField>

## Example Requests

### Update name only

```json theme={null}
{
  "name": "Paystack Pro"
}
```

### Disable provider

```json theme={null}
{
  "enabled": false
}
```

### Update both

```json theme={null}
{
  "name": "Paystack Pro",
  "enabled": true
}
```

## Response

<ResponseField name="status" type="string">
  Response status ("success")
</ResponseField>

<ResponseField name="message" type="string">
  Success message
</ResponseField>

<ResponseField name="data" type="object">
  Updated provider object
</ResponseField>

## Example Response

```json theme={null}
{
  "status": "success",
  "message": "Provider updated successfully",
  "data": {
    "id": "prv_xxxxxxxxxxxxx",
    "name": "Paystack Pro",
    "slug": "paystack",
    "enabled": true,
    "createdAt": "2025-11-12T17:46:07.000Z",
    "updatedAt": "2025-11-12T18:30:00.000Z"
  }
}
```

## Notes

* The slug cannot be changed after creation
* Only name and enabled status can be updated
